
Redmine - Defect #12420

URLs in notification emails do not include the sub-URI

2012-11-21 16:59 - Drew Keller

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.0.0

Description

I have Redmine working as configured in #11881, #12102, etc. Everything seems to be working except that issue URLs in the

notification emails generated by Redmine do not include the sub-URI. For example... http://my.domain.com/issues/713 instead of

http://my.domain.com/redmine/issues/713

Someone pointed this out to me recently (they got 404 error) so I went back in my email history and this problem started when I

upgraded from Redmine 1.2.1 to 2.0.2. I don't know if other people with sub-URIs are having the same issue and don't know about it,

or if this is actually working for them.

The call in the mailer is

@issue_url = url_for(:controller => 'issues', :action => 'show',...

In my limited Ruby knowledge, I'm not sure how the result of this might be different from the urls generated for issues elsewhere in

Redmine that seem to be working.

Environment:

Redmine version                          2.1.2.stable

Ruby version                             1.9.2 (i386-mingw32)

Rails version                            3.2.8

Database adapter                         Mysql2

Related issues:

Related to Redmine - Defect #11881: FCGI mode does not support sub-URI Closed

Related to Redmine - Defect #12102: Installed Redmine in a sub-URI: Links are... New

History

#1 - 2013-11-03 22:03 - David Gesang

We are having the same issue since updating to Redmine2. Is there a fix for this anywhere?

Environment:

  Redmine version                2.3.2.stable

  Ruby version                   2.0.0-p247 (2013-06-27) [i686-linux]

  Rails version                  3.2.13

#2 - 2014-11-16 12:58 - Ivo Maixner

Affected by the same issue.

In addition, if the issue has an attachment, the notification email contains a direct link to it, which is broken in the same way - it is missing the sub-URI

prefix.

Environment:

  Redmine version                2.6.0.stable

  Ruby version                   2.0.0-p594 (2014-10-27) [x86_64-linux]

  Rails version                  3.2.19

 Please provide a fix or a hint how to work around this.

#3 - 2014-11-16 21:35 - Jean-Philippe Lang

- Status changed from New to Closed

In Administation, Settings, General, enter your hostname and suburi in "Host name and path" (eg. hostname/suburi). Links in emails will use this

setting.
#4 - 2014-11-17 09:48 - Ivo Maixner

I've just found out the same solution and came here to desribe it.

Anyways, I confirm this resolves the issue for me. Thank you.
